## schedtool 1.2.9

=== Makefile ===
# go on and adjust here if you don't like those flags
CFLAGS=-Os -fomit-frame-pointer -s -pipe
#CFLAGS=-Wall -Os -fomit-frame-pointer -s -pipe -DDEBUG
CC=gcc
# likewise, if you want to change the destination prefix
DESTPREFIX=/usr/local
MANDIR=$(DESTPREFIX)/share/man/man8
DESTDIR=bin
GZIP=gzip -9
TARGET=schedtool
DOCS=README INSTALL SCHED_DESIGN TUNING
RELEASE=$(shell basename `pwd`)

all: affinity

clean:
	rm -f *.o $(TARGET)

distclean: clean unzipman
	rm -f *~ *.s

install: all install-doc zipman
	install -d $(DESTPREFIX)/$(DESTDIR)
	install -c $(TARGET) $(DESTPREFIX)/$(DESTDIR)
	install -d $(MANDIR)
	install -c schedtool.8.gz $(MANDIR)

install-doc:
	install -d $(DESTPREFIX)/share/doc/schedtool
	install -c $(DOCS) $(DESTPREFIX)/share/doc/schedtool

zipman:
	test -f schedtool.8 && $(GZIP) schedtool.8 || exit 0

unzipman:
	test -f schedtool.8.gz && $(GZIP) -d schedtool.8.gz || exit 0

affinity:
	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_AFFINITY" $(TARGET)

affinity_hack: clean
	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_AFFINITY -DHAVE_AFFINITY_HACK" $(TARGET)

no_affinity: clean
	$(MAKE) CFLAGS="$(CFLAGS)" $(TARGET)

release: distclean release_gz release_bz2
	@echo --- $(RELEASE) released ---

release_gz: distclean
	@echo Building tar.gz
	( cd .. ; tar czf $(RELEASE).tar.gz $(RELEASE) )

release_bz2: distclean
	@echo Building tar.bz2
	( cd .. ; tar cjf $(RELEASE).tar.bz2 $(RELEASE) )


schedtool: schedtool.o error.o
schedtool.o: schedtool.c syscall_magic.h error.h util.h
error.o: error.c error.h

## schedtool 1.2.10

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,12 @@
 #CFLAGS=-Wall -Os -fomit-frame-pointer -s -pipe -DDEBUG
 CC=gcc
 # likewise, if you want to change the destination prefix
+DESTDIR=
 DESTPREFIX=/usr/local
 MANDIR=$(DESTPREFIX)/share/man/man8
-DESTDIR=bin
 GZIP=gzip -9
 TARGET=schedtool
-DOCS=README INSTALL SCHED_DESIGN TUNING
+DOCS=LICENSE README INSTALL SCHED_DESIGN
 RELEASE=$(shell basename `pwd`)
 
 all: affinity
@@ -20,14 +20,14 @@
 	rm -f *~ *.s
 
 install: all install-doc zipman
-	install -d $(DESTPREFIX)/$(DESTDIR)
-	install -c $(TARGET) $(DESTPREFIX)/$(DESTDIR)
-	install -d $(MANDIR)
-	install -c schedtool.8.gz $(MANDIR)
+	install -d $(DESTDIR)$(DESTPREFIX)/bin
+	install -p -c $(TARGET) $(DESTDIR)$(DESTPREFIX)/bin
+	install -d $(DESTDIR)$(MANDIR)
+	install -p -c schedtool.8.gz $(DESTDIR)$(MANDIR)
 
 install-doc:
-	install -d $(DESTPREFIX)/share/doc/schedtool
-	install -c $(DOCS) $(DESTPREFIX)/share/doc/schedtool
+	install -d $(DESTDIR)$(DESTPREFIX)/share/doc/$(RELEASE)
+	install -p -c $(DOCS) $(DESTDIR)$(DESTPREFIX)/share/doc/$(RELEASE)
 
 zipman:
 	test -f schedtool.8 && $(GZIP) schedtool.8 || exit 0

## schedtool 1.3.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DOCS=LICENSE README INSTALL SCHED_DESIGN
 RELEASE=$(shell basename `pwd`)
 
-all: affinity
+all: $(TARGET)
 
 clean:
 	rm -f *.o $(TARGET)
@@ -35,14 +35,8 @@
 unzipman:
 	test -f schedtool.8.gz && $(GZIP) -d schedtool.8.gz || exit 0
 
-affinity:
-	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_AFFINITY" $(TARGET)
-
 affinity_hack: clean
-	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_AFFINITY -DHAVE_AFFINITY_HACK" $(TARGET)
-
-no_affinity: clean
-	$(MAKE) CFLAGS="$(CFLAGS)" $(TARGET)
+	$(MAKE) CFLAGS="$(CFLAGS) -DHAVE_AFFINITY_HACK" $(TARGET)
 
 release: distclean release_gz release_bz2
 	@echo --- $(RELEASE) released ---
@@ -57,6 +51,6 @@
 
 
 schedtool: schedtool.o error.o
-schedtool.o: schedtool.c syscall_magic.h error.h util.h
+schedtool.o: schedtool.c error.h util.h
 error.o: error.c error.h

=== debian/changelog ===
schedtool (1.3.0-4) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Stephen Kitt ]
  * Update spelling fixes.
  * Switch to debhelper compatibility level 13.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 05 Jan 2021 22:47:49 +0100

schedtool (1.3.0-3) unstable; urgency=medium

  * Migrate to Salsa.
  * Change priority to “optional”.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 14 May 2018 18:55:56 +0200

schedtool (1.3.0-2) unstable; urgency=medium

  * New maintainer (Closes: #830767).
  * Switch to source format "3.0 (quilt)".
  * Switch to short dh format rules, compatibility level 10.
  * Clean debian/control with cme.
  * Standards-Version 3.9.8, no further change required.
  * Drop the build-dependency on linux-kernel-headers, it isn't
    necessary (any longer?).
  * Upstream is gone, drop the watch file.
  * Rewrite debian/copyright in machine-readable format.
  * Fix two spelling mistakes in the manpage.
  * Host the packaging on collab-maint.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Jul 2017 17:33:00 +0200

schedtool (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Uses the new cpu_set_t api found in newer glibcs

 -- Thibaut VARENE <varenet@debian.org>  Fri, 19 Sep 2008 15:56:39 +0200

schedtool (1.2.10-1) unstable; urgency=low

  * New upstream release
  * Sync up with upstream version number, no change

 -- Thibaut VARENE <varenet@debian.org>  Sat, 15 Dec 2007 12:20:15 +0100

schedtool (1.2.9-4) unstable; urgency=low

  * Reword description and fix typo on Con's name

 -- Thibaut VARENE <varenet@debian.org>  Wed, 09 May 2007 01:57:36 +0200

schedtool (1.2.9-3) unstable; urgency=low

  * Did we say "1.2.9"? ;) Fix wrong version string.

 -- Thibaut VARENE <varenet@debian.org>  Fri, 23 Feb 2007 03:43:27 +0100

schedtool (1.2.9-2) unstable; urgency=low

  * Upload to unstable after almost a month in experimental.

 -- Thibaut VARENE <varenet@debian.org>  Tue, 20 Feb 2007 03:20:33 +0100

schedtool (1.2.9-1) experimental; urgency=low

  * Initial release (Closes: #377546)

 -- Thibaut VARENE <varenet@debian.org>  Sat,  6 Jan 2007 23:25:50 +0100

=== debian/control ===
Source: schedtool
Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/schedtool
Vcs-Git: https://salsa.debian.org/debian/schedtool.git
Rules-Requires-Root: no

Package: schedtool
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Queries/alters process' scheduling policy and CPU affinity
 Schedtool can query or alter a process' scheduling policy in Linux,
 specifically assigning SCHED_NORMAL, _FIFO, _RR, _BATCH, _ISO or _IDLEPRIO. It
 can set static priority for _FIFO and _RR. Setting CPU-affinity and (re)nicing
 is also possible, making schedtool the definitive interface to Linux scheduler.
 .
 It can be used to avoid skips and glitches in A/V applications, to lock
 processes onto given CPUs on SMP/NUMA systems, which may be beneficial for
 networking or benchmarks, or to adjust nice-levels of lesser important jobs to
 maintain a high amount of interactive responsiveness under high load. It is
 also handy to manage realtime processes.
 .
 If you don't know about scheduling policies, you probably don't want to use
 this program - or learn and read "man sched_setscheduler".
 .
 Some supported scheduling policies (such as SCHED_ISO, or SCHED_IDLEPRIO) need
 a patched kernel (eg. Con Kolivas' -ck patchset).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- DESTPREFIX=/usr

## schedtool 1.3.0-1maemo3

=== Makefile ===
--- 
+++ 
@@ -16,14 +16,12 @@
 clean:
 	rm -f *.o $(TARGET)
 
-distclean: clean unzipman
+distclean: clean
 	rm -f *~ *.s
 
-install: all install-doc zipman
+install: all
 	install -d $(DESTDIR)$(DESTPREFIX)/bin
 	install -p -c $(TARGET) $(DESTDIR)$(DESTPREFIX)/bin
-	install -d $(DESTDIR)$(MANDIR)
-	install -p -c schedtool.8.gz $(DESTDIR)$(MANDIR)
 
 install-doc:
 	install -d $(DESTDIR)$(DESTPREFIX)/share/doc/$(RELEASE)

=== debian/changelog ===
schedtool (1.3.0-1maemo3) unstable; urgency=low

  * Update email address

 -- Dennis Groenen <tj.groenen@gmail.com>  Mon,  1 Aug 2011 14:28:15 +0200

schedtool (1.3.0-1maemo2) unstable; urgency=low

  * Stripped manpages and documentation as per packaging guidelines

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Thu, 28 Apr 2011 13:27:49 +0200

schedtool (1.3.0-1maemo1) unstable; urgency=low

  * Packaged up schedtool for Maemo

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Mon, 25 Apr 2011 15:04:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: schedtool
-Maintainer: Stephen Kitt <skitt@debian.org>
-Section: utils
-Priority: optional
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian/schedtool
-Vcs-Git: https://salsa.debian.org/debian/schedtool.git
-Rules-Requires-Root: no
+Section: user/utilities
+Priority: extra
+Maintainer: Dennis Groenen <dennis_groenen@hotmail.com>
+XSBC-Original-Maintainer: Thibaut VARENE <varenet@debian.org>
+Build-Depends: debhelper (>= 5), linux-kernel-headers
+Standards-Version: 3.8.0
 
 Package: schedtool
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Queries/alters process' scheduling policy and CPU affinity
  Schedtool can query or alter a process' scheduling policy in Linux,
  specifically assigning SCHED_NORMAL, _FIFO, _RR, _BATCH, _ISO or _IDLEPRIO. It
@@ -29,3 +26,5 @@
  .
  Some supported scheduling policies (such as SCHED_ISO, or SCHED_IDLEPRIO) need
  a patched kernel (eg. Con Kolivas' -ck patchset).
+ .
+XB-Maemo-Display-Name: Schedtool

## schedtool 1.3.0-1maemo4

=== debian/changelog ===
schedtool (1.3.0-1maemo4) unstable; urgency=low

  * Update email address in debian/control too

 -- Dennis Groenen <tj.groenen@gmail.com>  Mon,  1 Aug 2011 14:36:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: schedtool
 Section: user/utilities
 Priority: extra
-Maintainer: Dennis Groenen <dennis_groenen@hotmail.com>
+Maintainer: Dennis Groenen <tj.groenen@gmail.com>
 XSBC-Original-Maintainer: Thibaut VARENE <varenet@debian.org>
 Build-Depends: debhelper (>= 5), linux-kernel-headers
 Standards-Version: 3.8.0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g -fomit-frame-pointer -s -pipe

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/schedtool.
	$(MAKE) DESTPREFIX=$(CURDIR)/debian/schedtool/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
#	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman schedtool.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
http://freequaos.host.sk/schedtool/ schedtool-(.*)\.tar\.bz2
